%define tarname	Sphinx
%define name	python-sphinx
%define version	1.0.7
%define release	%mkrel 2

# disable these for bootstrapping nose and sphinx
%define enable_tests 1
%define enable_doc 1

Summary:	Python documentation generator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/S/%{tarname}/%{tarname}-%{version}.tar.gz
Patch0:         Sphinx-1.0b1-sagemath.patch
License:	BSD
Group:		Development/Python
Url:		http://sphinx.pocoo.org/
BuildArch:	noarch
Requires:	python-pkg-resources
Requires:	python-docutils >= 0.5
Requires:	python-pygments >= 0.8
Requires:	python-jinja2 >= 2.2
BuildRequires:	python-setuptools
Requires:	python-pygments >= 0.8
%if %enable_doc
BuildRequires:	python-docutils >= 0.5
BuildRequires:	python-jinja2 >= 2.2
%endif
%if %enable_tests
BuildRequires:	python-nose
%endif
BuildRequires:	python-devel

%description
Sphinx is a tool that facilitates the creation of beautiful
documentation for Python projects from reStructuredText sources. It
was originally created to format the new documentation for Python, but
has since been cleaned up in the hope that it will be useful in many
other projects.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
%if %enable_doc
%__make -C doc html
%endif
%clean
%__rm -rf %{buildroot}

%check
%if %enable_tests
pushd tests
%__python run.py
popd
%endif

%files -f FILE_LIST
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE TODO 
%if %enable_doc
%doc doc/_build/html/
%endif


%changelog
* Mon Feb 21 2011 ahmad <ahmad> 1.0.7-2.mga1
+ Revision: 55584
- rebuild to make all pythonegg requires/provides lowercase

* Thu Feb 03 2011 ahmad <ahmad> 1.0.7-1.mga1
+ Revision: 46761
- update to 1.0.7

* Mon Jan 31 2011 dmorgan <dmorgan> 1.0.5-7.mga1
+ Revision: 45405
- Enable back as python-nose have been rebuild

* Mon Jan 31 2011 dmorgan <dmorgan> 1.0.5-6.mga1
+ Revision: 45371
- Bump release
- bootstrap for rebuild gainst

* Mon Jan 31 2011 dmorgan <dmorgan> 1.0.5-5.mga1
+ Revision: 45350
- bootstrap because we need to rebuild python-nose
- Rebuild against python 2.7

  + pterjan <pterjan>
    - Re-enable tests

* Mon Jan 17 2011 pterjan <pterjan> 1.0.5-4.mga1
+ Revision: 21282
- Enable bootstrap
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.0.5-3.mga1
+ Revision: 8372
- enable doc and tests

* Thu Jan 13 2011 ahmad <ahmad> 1.0.5-2.mga1
+ Revision: 8357
- disable doc and tests for now
- replace deprecated %%py_requires macro with BR python-devel
- imported package python-sphinx


* Fri Nov 12 2010 Lev Givon <lev@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 596694
- Update to 1.0.5.

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 1.0.4-3mdv2011.0
+ Revision: 590417
- reenable test and documentation, now that requirement are here

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 1.0.4-2mdv2011.0
+ Revision: 590369
- also fix the documentation generation ( bootstraping problem, since jinja2 requires sphinx too )
- disable test ( as nose requires sphinx, and sphinx requires nose, they cannot be upgraded to 2.7 )
- rebuild for python 2.7

* Fri Sep 17 2010 Lev Givon <lev@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 579194
- Update to 1.0.4.

* Wed Sep 15 2010 Lev Givon <lev@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 578780
- Update to 1.0.3.

* Tue Jul 27 2010 Lev Givon <lev@mandriva.org> 0.6.7-1mdv2011.0
+ Revision: 562106
- Update to 0.6.7.
- Update to 0.6.6.

* Thu Mar 11 2010 Lev Givon <lev@mandriva.org> 0.6.5-1mdv2010.1
+ Revision: 518262
- Update to 0.6.5.

* Wed Jan 13 2010 Lev Givon <lev@mandriva.org> 0.6.4-1mdv2010.1
+ Revision: 491048
- Update to 0.6.4.

* Tue Sep 08 2009 Lev Givon <lev@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 433689
- Update to 0.6.3.
  Build docs as html.

* Wed Aug 05 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.6.2-2mdv2010.0
+ Revision: 409716
- Add sagemath patch to python-sphinx.

* Wed Jun 17 2009 Lev Givon <lev@mandriva.org> 0.6.2-1mdv2010.0
+ Revision: 386763
- Update to 0.6.2.

* Fri May 22 2009 Lev Givon <lev@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 378621
- Update to 0.6.1.

* Mon May 04 2009 Lev Givon <lev@mandriva.org> 0.5.2-2mdv2010.0
+ Revision: 371821
- Fix requirements.

* Tue Mar 24 2009 Lev Givon <lev@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 360951
- Update to 0.5.2.
  Change python-setuptools install requirement to python-pkg-resources.

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 324276
- New upstream release

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.5-2mdv2009.1
+ Revision: 320265
- rebuild for new python

* Tue Dec 02 2008 Lev Givon <lev@mandriva.org> 0.5-1mdv2009.1
+ Revision: 308946
- Update to 0.5.

* Sun Oct 19 2008 Lev Givon <lev@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 295422
- Update to 0.4.3.

* Wed Aug 06 2008 Lev Givon <lev@mandriva.org> 0.4.2-2mdv2009.0
+ Revision: 264333
- Add setuptools as an install requirement
  (pkg_resources needed by sphinx-build).

* Wed Aug 06 2008 Lev Givon <lev@mandriva.org> 0.4.2-1mdv2009.0
+ Revision: 264111
- Update to 0.4.2.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 0.4.1-1mdv2009.0
+ Revision: 233844
- Update to 0.4.1.

* Mon Jun 23 2008 Lev Givon <lev@mandriva.org> 0.4-1mdv2009.0
+ Revision: 228282
- Update to 0.4.

* Fri May 30 2008 Lev Givon <lev@mandriva.org> 0.3-1mdv2009.0
+ Revision: 213482
- import python-sphinx


* Thu May 29 2008 Lev Givon <lev@mandriva.org> 0.3-1mdv2008.1
- Package for Mandriva.
